## org.apache.batik.util
Class DoublyIndexedTable.Entry

    java.lang.Object
      org.apache.batik.util.DoublyIndexedTable.Entry

Enclosing class:
  DoublyIndexedTable

    public static class DoublyIndexedTable.Entry

extends java.lang.Object

An entry in the `DoublyIndexedTable`.

Field Summary
`protected int` `hash` The hash code.
`protected java.lang.Object` `key1` The first key.
`protected java.lang.Object` `key2` The second key.
`protected DoublyIndexedTable.Entry` `next` The next entry.
`protected java.lang.Object` `value` The value.

Constructor Summary
`DoublyIndexedTable.Entry(int hash, java.lang.Object key1, java.lang.Object key2, java.lang.Object value, DoublyIndexedTable.Entry next)` Creates a new entry.

Method Summary
`java.lang.Object` `getKey1()` Returns this entry's first key.
`java.lang.Object` `getKey2()` Returns this entry's second key.
`java.lang.Object` `getValue()` Returns this entry's value.
`protected boolean` `match(java.lang.Object o1, java.lang.Object o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    protected int hash

  The hash code.

### key1

    protected java.lang.Object key1

  The first key.

### key2

    protected java.lang.Object key2

  The second key.

### value

    protected java.lang.Object value

  The value.

### next

    protected DoublyIndexedTable.Entry next

  The next entry.

Constructor Detail

### DoublyIndexedTable.Entry

    public DoublyIndexedTable.Entry(int hash,
                                    java.lang.Object key1,
                                    java.lang.Object key2,
                                    java.lang.Object value,
                                    DoublyIndexedTable.Entry next)

  Creates a new entry.

Method Detail

### getKey1

    public java.lang.Object getKey1()

  Returns this entry's first key.

### getKey2

    public java.lang.Object getKey2()

  Returns this entry's second key.

### getValue

    public java.lang.Object getValue()

  Returns this entry's value.

### match

    protected boolean match(java.lang.Object o1,
                            java.lang.Object o2)

  Whether this entry match the given keys.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.